### Method

# Gimp Curve add_point

since: 3.2

#### Declaration [src]

    gint
    gimp_curve_add_point (
      GimpCurve* curve,
      gdouble x,
      gdouble y
    )

#### Description [src]

Add a new point in a `GIMP_CURVE_SMOOTH` `curve`, with coordinates `(x, y)`. Any value outside the `[0.0, 1.0]` range will be silently clamped.

The returned identifier can later be used e.g. in `gimp_curve_get_point()` or other functions taking a `point` number as argument.

Calling this may change identifiers for other points and the total number of points in this `curve`. Any such information you currently hold should be considered invalid once the curve is changed.

Available since: 3.2

#### Parameters

`x`

  Type: `gdouble`

  The point abscissa on a `[0.0, 1.0]` range.

`y`

  Type: `gdouble`

  The point ordinate on a `[0.0, 1.0]` range.

#### Return value

Type: `gint`

A point identifier to be used in other functions.